In Hammer, while generating "Applied Errata" report, can't set Status=all
Status: New   

Priority: Normal   

Assignee:    

Category: Reporting   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1753206 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1753206

Description of problem:

In Hammer, while generating "Applied Errata" report, I can't set input Status=all.

This is due to "all" not being explicitly set as a possible option in the report template. In WebUI, it's sufficient to leave the field empty

while in Hammer, some of the options must ve selected, forcing the user to only select errata with specific status.

Version-Release number of selected component (if applicable):

Reproduced on Sat 6.6 snap 20.

How reproducible:

Deterministic

Steps to Reproduce:

1. # hammer report-template generate --id 113 --inputs 'Filter Errata Type'='all','Include Last Reboot'=yes

Input Status: Value is not included in the list

2.# hammer report-template generate --id 113 --inputs 'Filter Errata Type'='all','Include Last Reboot'=yes,Status=all

Input Status: Value is not included in the list

Actual results:

Must select one of the statuses, e.g. "success" or "warning"

Expected results:

Hammer shouldn't force me to filter errata by status

History

#1 - 06/11/2020 01:36 PM - Tomer Brisker

- Category changed from Statistics to Reporting

#2 - 02/04/2021 07:56 AM - Marek Hulán

- Difficulty set to easy

#3 - 03/07/2021 10:55 AM - Adi Abramovitch

- Assignee set to Adi Abramovitch

#4 - 03/22/2021 12:20 PM - Adi Abramovitch

- Assignee deleted (Adi Abramovitch)
